pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 11.3.0" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gnatlink" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#6c24bed3#;
   pragma Export (C, u00001, "gnatlinkB");
   u00002 : constant Version_32 := 16#e72e593c#;
   pragma Export (C, u00002, "gnatlinkS");
   u00003 : constant Version_32 := 16#66132de6#;
   pragma Export (C, u00003, "system__standard_libraryB");
   u00004 : constant Version_32 := 16#5299b007#;
   pragma Export (C, u00004, "system__standard_libraryS");
   u00005 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00005, "adaS");
   u00006 : constant Version_32 := 16#5ad396e5#;
   pragma Export (C, u00006, "ada__command_lineB");
   u00007 : constant Version_32 := 16#3cdef8c9#;
   pragma Export (C, u00007, "ada__command_lineS");
   u00008 : constant Version_32 := 16#532fc697#;
   pragma Export (C, u00008, "systemS");
   u00009 : constant Version_32 := 16#b18e086a#;
   pragma Export (C, u00009, "system__secondary_stackB");
   u00010 : constant Version_32 := 16#a284f113#;
   pragma Export (C, u00010, "system__secondary_stackS");
   u00011 : constant Version_32 := 16#2a956075#;
   pragma Export (C, u00011, "ada__exceptionsB");
   u00012 : constant Version_32 := 16#0f1c8606#;
   pragma Export (C, u00012, "ada__exceptionsS");
   u00013 : constant Version_32 := 16#51b6c352#;
   pragma Export (C, u00013, "ada__exceptions__last_chance_handlerB");
   u00014 : constant Version_32 := 16#2c60dc9e#;
   pragma Export (C, u00014, "ada__exceptions__last_chance_handlerS");
   u00015 : constant Version_32 := 16#adf22619#;
   pragma Export (C, u00015, "system__soft_linksB");
   u00016 : constant Version_32 := 16#cf968b0c#;
   pragma Export (C, u00016, "system__soft_linksS");
   u00017 : constant Version_32 := 16#ce3e0e21#;
   pragma Export (C, u00017, "system__soft_links__initializeB");
   u00018 : constant Version_32 := 16#5697fc2b#;
   pragma Export (C, u00018, "system__soft_links__initializeS");
   u00019 : constant Version_32 := 16#896564a3#;
   pragma Export (C, u00019, "system__parametersB");
   u00020 : constant Version_32 := 16#147d025c#;
   pragma Export (C, u00020, "system__parametersS");
   u00021 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00021, "system__stack_checkingB");
   u00022 : constant Version_32 := 16#dd90ad7f#;
   pragma Export (C, u00022, "system__stack_checkingS");
   u00023 : constant Version_32 := 16#ced09590#;
   pragma Export (C, u00023, "system__storage_elementsB");
   u00024 : constant Version_32 := 16#7eec8c93#;
   pragma Export (C, u00024, "system__storage_elementsS");
   u00025 : constant Version_32 := 16#34742901#;
   pragma Export (C, u00025, "system__exception_tableB");
   u00026 : constant Version_32 := 16#0811c76a#;
   pragma Export (C, u00026, "system__exception_tableS");
   u00027 : constant Version_32 := 16#ce4af020#;
   pragma Export (C, u00027, "system__exceptionsB");
   u00028 : constant Version_32 := 16#3b4cab61#;
   pragma Export (C, u00028, "system__exceptionsS");
   u00029 : constant Version_32 := 16#69416224#;
   pragma Export (C, u00029, "system__exceptions__machineB");
   u00030 : constant Version_32 := 16#bff81f32#;
   pragma Export (C, u00030, "system__exceptions__machineS");
   u00031 : constant Version_32 := 16#aa0563fc#;
   pragma Export (C, u00031, "system__exceptions_debugB");
   u00032 : constant Version_32 := 16#2b3557ec#;
   pragma Export (C, u00032, "system__exceptions_debugS");
   u00033 : constant Version_32 := 16#e3a6b5dc#;
   pragma Export (C, u00033, "system__img_intS");
   u00034 : constant Version_32 := 16#01838199#;
   pragma Export (C, u00034, "system__tracebackB");
   u00035 : constant Version_32 := 16#13a230cc#;
   pragma Export (C, u00035, "system__tracebackS");
   u00036 : constant Version_32 := 16#1f08c83e#;
   pragma Export (C, u00036, "system__traceback_entriesB");
   u00037 : constant Version_32 := 16#758715f6#;
   pragma Export (C, u00037, "system__traceback_entriesS");
   u00038 : constant Version_32 := 16#a0281f47#;
   pragma Export (C, u00038, "system__traceback__symbolicB");
   u00039 : constant Version_32 := 16#9fa412cf#;
   pragma Export (C, u00039, "system__traceback__symbolicS");
   u00040 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00040, "ada__exceptions__tracebackB");
   u00041 : constant Version_32 := 16#6b52f2d4#;
   pragma Export (C, u00041, "ada__exceptions__tracebackS");
   u00042 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00042, "system__address_imageB");
   u00043 : constant Version_32 := 16#f2c35bad#;
   pragma Export (C, u00043, "system__address_imageS");
   u00044 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00044, "system__wch_conB");
   u00045 : constant Version_32 := 16#4852e445#;
   pragma Export (C, u00045, "system__wch_conS");
   u00046 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00046, "system__wch_stwB");
   u00047 : constant Version_32 := 16#6543c844#;
   pragma Export (C, u00047, "system__wch_stwS");
   u00048 : constant Version_32 := 16#1f681dab#;
   pragma Export (C, u00048, "system__wch_cnvB");
   u00049 : constant Version_32 := 16#47e55eb6#;
   pragma Export (C, u00049, "system__wch_cnvS");
   u00050 : constant Version_32 := 16#edec285f#;
   pragma Export (C, u00050, "interfacesS");
   u00051 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00051, "system__wch_jisB");
   u00052 : constant Version_32 := 16#c7954797#;
   pragma Export (C, u00052, "system__wch_jisS");
   u00053 : constant Version_32 := 16#063ab826#;
   pragma Export (C, u00053, "aliB");
   u00054 : constant Version_32 := 16#2cbacb45#;
   pragma Export (C, u00054, "aliS");
   u00055 : constant Version_32 := 16#fbf56ece#;
   pragma Export (C, u00055, "butilB");
   u00056 : constant Version_32 := 16#1f0841fb#;
   pragma Export (C, u00056, "butilS");
   u00057 : constant Version_32 := 16#b5988c27#;
   pragma Export (C, u00057, "gnatS");
   u00058 : constant Version_32 := 16#6c2f2eee#;
   pragma Export (C, u00058, "optB");
   u00059 : constant Version_32 := 16#030e29a3#;
   pragma Export (C, u00059, "optS");
   u00060 : constant Version_32 := 16#3f7418bf#;
   pragma Export (C, u00060, "system__assertionsB");
   u00061 : constant Version_32 := 16#9ea2ea03#;
   pragma Export (C, u00061, "system__assertionsS");
   u00062 : constant Version_32 := 16#49df3e8c#;
   pragma Export (C, u00062, "hostparmS");
   u00063 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00063, "system__concat_2B");
   u00064 : constant Version_32 := 16#518f1147#;
   pragma Export (C, u00064, "system__concat_2S");
   u00065 : constant Version_32 := 16#6c19cecc#;
   pragma Export (C, u00065, "typesB");
   u00066 : constant Version_32 := 16#5396d668#;
   pragma Export (C, u00066, "typesS");
   u00067 : constant Version_32 := 16#a1d6147d#;
   pragma Export (C, u00067, "system__compare_array_unsigned_8B");
   u00068 : constant Version_32 := 16#fa2cb71a#;
   pragma Export (C, u00068, "system__compare_array_unsigned_8S");
   u00069 : constant Version_32 := 16#a8025f3c#;
   pragma Export (C, u00069, "system__address_operationsB");
   u00070 : constant Version_32 := 16#402378a4#;
   pragma Export (C, u00070, "system__address_operationsS");
   u00071 : constant Version_32 := 16#bd8894ca#;
   pragma Export (C, u00071, "system__unsigned_typesS");
   u00072 : constant Version_32 := 16#2a8e89ad#;
   pragma Export (C, u00072, "system__stringsB");
   u00073 : constant Version_32 := 16#3339ea02#;
   pragma Export (C, u00073, "system__stringsS");
   u00074 : constant Version_32 := 16#bf80e4b1#;
   pragma Export (C, u00074, "outputB");
   u00075 : constant Version_32 := 16#e3428074#;
   pragma Export (C, u00075, "outputS");
   u00076 : constant Version_32 := 16#b0807375#;
   pragma Export (C, u00076, "system__os_libB");
   u00077 : constant Version_32 := 16#d872da39#;
   pragma Export (C, u00077, "system__os_libS");
   u00078 : constant Version_32 := 16#ec4d5631#;
   pragma Export (C, u00078, "system__case_utilB");
   u00079 : constant Version_32 := 16#6cfa70c3#;
   pragma Export (C, u00079, "system__case_utilS");
   u00080 : constant Version_32 := 16#1ac6d92d#;
   pragma Export (C, u00080, "system__crtlS");
   u00081 : constant Version_32 := 16#284834f9#;
   pragma Export (C, u00081, "nametB");
   u00082 : constant Version_32 := 16#e7dd7235#;
   pragma Export (C, u00082, "nametS");
   u00083 : constant Version_32 := 16#91fc5baa#;
   pragma Export (C, u00083, "debugB");
   u00084 : constant Version_32 := 16#1ac546f9#;
   pragma Export (C, u00084, "debugS");
   u00085 : constant Version_32 := 16#681a08ef#;
   pragma Export (C, u00085, "widecharB");
   u00086 : constant Version_32 := 16#446a3394#;
   pragma Export (C, u00086, "widecharS");
   u00087 : constant Version_32 := 16#972e59bd#;
   pragma Export (C, u00087, "allocS");
   u00088 : constant Version_32 := 16#ec344532#;
   pragma Export (C, u00088, "tableB");
   u00089 : constant Version_32 := 16#41c526e4#;
   pragma Export (C, u00089, "tableS");
   u00090 : constant Version_32 := 16#eca5ecae#;
   pragma Export (C, u00090, "system__memoryB");
   u00091 : constant Version_32 := 16#0a52a0a3#;
   pragma Export (C, u00091, "system__memoryS");
   u00092 : constant Version_32 := 16#9b950d9a#;
   pragma Export (C, u00092, "fnameB");
   u00093 : constant Version_32 := 16#68d76a58#;
   pragma Export (C, u00093, "fnameS");
   u00094 : constant Version_32 := 16#2044a70d#;
   pragma Export (C, u00094, "gnat__dynamic_htablesB");
   u00095 : constant Version_32 := 16#05f952b6#;
   pragma Export (C, u00095, "gnat__dynamic_htablesS");
   u00096 : constant Version_32 := 16#c99bd678#;
   pragma Export (C, u00096, "osintB");
   u00097 : constant Version_32 := 16#5755d1d6#;
   pragma Export (C, u00097, "osintS");
   u00098 : constant Version_32 := 16#64f9524a#;
   pragma Export (C, u00098, "fmapB");
   u00099 : constant Version_32 := 16#bcdfb7eb#;
   pragma Export (C, u00099, "fmapS");
   u00100 : constant Version_32 := 16#be789e08#;
   pragma Export (C, u00100, "gnat__htableB");
   u00101 : constant Version_32 := 16#7a3e0440#;
   pragma Export (C, u00101, "gnat__htableS");
   u00102 : constant Version_32 := 16#796f31f1#;
   pragma Export (C, u00102, "system__htableB");
   u00103 : constant Version_32 := 16#d7ed757d#;
   pragma Export (C, u00103, "system__htableS");
   u00104 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00104, "system__string_hashB");
   u00105 : constant Version_32 := 16#75b31e03#;
   pragma Export (C, u00105, "system__string_hashS");
   u00106 : constant Version_32 := 16#da8ef8b1#;
   pragma Export (C, u00106, "gnatvsnB");
   u00107 : constant Version_32 := 16#290e7516#;
   pragma Export (C, u00107, "gnatvsnS");
   u00108 : constant Version_32 := 16#1934c41b#;
   pragma Export (C, u00108, "sdefaultB");
   u00109 : constant Version_32 := 16#93b05778#;
   pragma Export (C, u00109, "sdefaultS");
   u00110 : constant Version_32 := 16#4fd45a35#;
   pragma Export (C, u00110, "targparmB");
   u00111 : constant Version_32 := 16#68e83eaf#;
   pragma Export (C, u00111, "targparmS");
   u00112 : constant Version_32 := 16#295d6133#;
   pragma Export (C, u00112, "csetsB");
   u00113 : constant Version_32 := 16#e948558f#;
   pragma Export (C, u00113, "csetsS");
   u00114 : constant Version_32 := 16#327bc725#;
   pragma Export (C, u00114, "ridentS");
   u00115 : constant Version_32 := 16#ea992732#;
   pragma Export (C, u00115, "snamesB");
   u00116 : constant Version_32 := 16#1a73fda5#;
   pragma Export (C, u00116, "snamesS");
   u00117 : constant Version_32 := 16#a0426790#;
   pragma Export (C, u00117, "casingB");
   u00118 : constant Version_32 := 16#e37b1839#;
   pragma Export (C, u00118, "casingS");
   u00119 : constant Version_32 := 16#0a85a591#;
   pragma Export (C, u00119, "indepswB");
   u00120 : constant Version_32 := 16#e3de4372#;
   pragma Export (C, u00120, "indepswS");
   u00121 : constant Version_32 := 16#e49bce3e#;
   pragma Export (C, u00121, "interfaces__cB");
   u00122 : constant Version_32 := 16#6c9a16d7#;
   pragma Export (C, u00122, "interfaces__cS");
   u00123 : constant Version_32 := 16#7cecc4f8#;
   pragma Export (C, u00123, "interfaces__c__stringsB");
   u00124 : constant Version_32 := 16#f239f79c#;
   pragma Export (C, u00124, "interfaces__c__stringsS");
   u00125 : constant Version_32 := 16#73d2d764#;
   pragma Export (C, u00125, "interfaces__c_streamsB");
   u00126 : constant Version_32 := 16#066a78a0#;
   pragma Export (C, u00126, "interfaces__c_streamsS");
   u00127 : constant Version_32 := 16#8f5dbeb3#;
   pragma Export (C, u00127, "switchB");
   u00128 : constant Version_32 := 16#78bd7fb3#;
   pragma Export (C, u00128, "switchS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.img_int%s
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  system.memory%s
   --  system.memory%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  ada.command_line%s
   --  ada.command_line%b
   --  gnat%s
   --  gnat.htable%s
   --  gnat.htable%b
   --  interfaces.c%s
   --  interfaces.c%b
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.dynamic_htables%s
   --  gnat.dynamic_htables%b
   --  system.assertions%s
   --  system.assertions%b
   --  debug%s
   --  debug%b
   --  types%s
   --  types%b
   --  alloc%s
   --  gnatvsn%s
   --  gnatvsn%b
   --  hostparm%s
   --  indepsw%s
   --  indepsw%b
   --  opt%s
   --  opt%b
   --  csets%s
   --  csets%b
   --  output%s
   --  output%b
   --  rident%s
   --  table%s
   --  table%b
   --  widechar%s
   --  widechar%b
   --  namet%s
   --  namet%b
   --  butil%s
   --  butil%b
   --  casing%s
   --  casing%b
   --  fmap%s
   --  osint%s
   --  fmap%b
   --  sdefault%s
   --  sdefault%b
   --  targparm%s
   --  targparm%b
   --  osint%b
   --  fname%s
   --  fname%b
   --  snames%s
   --  snames%b
   --  ali%s
   --  ali%b
   --  switch%s
   --  switch%b
   --  gnatlink%s
   --  gnatlink%b
   --  END ELABORATION ORDER

end ada_main;
